# -*- coding: utf-8 -*-
"""

.. moduleauthor:: Vitaley Zaretskey <vitaley@whisper.sh>

"""

from wdslib import stats
from numpy.random import normal

from math import sqrt

data_1 = [1]*1000
s = 100.0
n = 1000
se = s / sqrt(n)
data_n = normal(loc=0.0, scale=s, size=n)


def test_bootstrap_ci_all_1():
    b_ci = stats.bootstrap_ci(data_1, name='test')
    assert len(b_ci) == 3
    assert b_ci['test_lower'] == 1.0
    assert b_ci['test_center'] == 1.0
    assert b_ci['test_upper'] == 1.0


def test_bootstrap_ci_norm():
    # this is a random test and will fail a small fraction of the time
    b_ci = stats.bootstrap_ci(data_n, alpha=1-0.9545)
    assert abs(b_ci['upper'] - b_ci['center'] - 2*se) < 0.1*se
    assert abs(b_ci['center'] - b_ci['lower'] - 2*se) < 0.1*se
