# -*- coding: utf-8 -*-
""" helper class to get deployment mode

.. moduleauthor:: Rohan Monga <rohan@whisper.sh>
"""
import os
import enum
import sys


class DeploymentMode(enum.Enum):
    LOCAL = 0
    DEV = 1
    PROD = 2
    SCRIPT = 3


def get_deployment_mode():
    deployment_mode = os.environ.get("PY_ENV")
    assert deployment_mode is not None

    deployment_mode = str(deployment_mode).strip().upper()
    if deployment_mode == "LOCAL":
        return DeploymentMode.LOCAL
    elif deployment_mode == "DEV":
        return DeploymentMode.DEV
    elif deployment_mode == "PROD":
        return DeploymentMode.PROD
    elif deployment_mode == "SCRIPT":
        return DeploymentMode.SCRIPT
    else:
        sys.exit("Invalid deployment mode. stopping!")


def get_zookeeper_host():
    zookeeper_hosts = os.environ.get("ZOOKEEPER_HOSTS")
    assert zookeeper_hosts is not None

    zookeeper_hosts = str(zookeeper_hosts).strip()
    return zookeeper_hosts
