# -*- coding: utf-8 -*-
"""

.. moduleauthor:: Rohan Monga <rohan@whisper.sh>

"""
from . import to_float


def valid_location(latitude, longitude):
    """check if given values are valid lat/lon
    :param latitude:
    :param longitude:
    :rtype : bool
    """
    latitude = to_float(latitude)
    longitude = to_float(longitude)

    if latitude is None or longitude is None:
        return False

    if -90 < latitude < 90 and -180 < longitude < 180:
        return True
    return False