import re

from . import Preprocessor

class BasicPreprocessor(Preprocessor):
    def preprocess(self, text):
        if isinstance(text, basestring):
            return self._preprocess(text)
        elif isinstance(text, (list, tuple)):
            return map(self._preprocess, text)

    def _preprocess(self, text):
        return re.sub('\s+', ' ', text.lower()) # convert to lowercase and reduce all whitespace to a single space
