import re
import string

from . import PreprocessorConfig
from .NontrivialPreprocessor import NontrivialPreprocessor

def EnglishPreprocessor():
    """ Factory function """
    englishPreprocessorConfig = PreprocessorConfig(
    	contraction_expansion_dict = {
                "can't": "can not",
                "cant": "can not",
                "don't": "do not",
                "dont": "do not",
                "didnt": "did not",
                "didn't": "did not",
                "doesn't": "does not",
                "doesnt": "does not",
                "won't": "will not",
                "wont": "will not",
                "wouldn't": "would not",
                "wouldnt": "would not",
                "aint": "ai not",
                "ain't": "ai not",
                "isnt": "is not",
                "isn't": "is not",
                "i'm": "i am",
                "'ll": " will", 
                "'d": " would",
                "'re": " are", 
                "'ve": " have"
        }, 
        d_to_a_dict = {
            "0": " zero ", 
            "1": " one ", 
            "2": " two ", 
            "3": " three ", 
            "4": " four ", 
            "5": " five ", 
            "6": " six ", 
            "7": " seven ", 
            "8": " eight ", 
            "9": " nine "
        },
        puncts = r""":;".,?!/-()<>#""",
        emoticons_dict = {
            ": )": " :) ",
            "( :": " :) ",  
            ": (": " :( ", 
            ") :": " :( ",
            "; )": " ;) ",
            "( ;": " ;) ",
            ": - )": " :) ", 
            "( - :": " :) ",
            ": - (": " :( ",
            ") - :": " :( ",
            "; - )": " ;) ", 
            "( - ;": " ;) ", 
            ": /": " :/ ", 
            ": p ":  " :p "
        }, 
        emojis_regex = re.compile(r"([^%s]+)" % string.printable),
        final_corrections_dict = {"<\s+three": "<3"}
    )
    return NontrivialPreprocessor(englishPreprocessorConfig)
