import re
import string

from . import PreprocessorConfig
from .NontrivialPreprocessor import NontrivialPreprocessor

def SpanishPreprocessor():
    """ Factory function """
    spanishPreprocessorConfig = PreprocessorConfig(
    	contraction_expansion_dict = {},
        d_to_a_dict = {
            "0": " cero ", 
            "1": " uno ", 
            "2": " dos ", 
            "3": " tres ", 
            "4": " cuatro ", 
            "5": " cinco ", 
            "6": " seis ", 
            "7": " siete ", 
            "8": " ocho ", 
            "9": " nueve "
        },
        puncts = r""":;".,?!/-()<>#""",
        emoticons_dict = {
            ": )": " :) ",
            "( :": " :) ",  
            ": (": " :( ", 
            ") :": " :( ",
            "; )": " ;) ",
            "( ;": " ;) ",
            ": - )": " :) ", 
            "( - :": " :) ",
            ": - (": " :( ",
            ") - :": " :( ",
            "; - )": " ;) ", 
            "( - ;": " ;) ", 
            ": /": " :/ ", 
            ": p ":  " :p "
        }, 
        emojis_regex = re.compile(r"([^%s]+)" % string.printable),
        final_corrections_dict = {"<\s+tres": "<3"}
    )
    return NontrivialPreprocessor(spanishPreprocessorConfig)
