from abc import ABCMeta, abstractmethod
from collections import namedtuple

class Preprocessor:
    __metaclass__ = ABCMeta

    @abstractmethod
    def preprocess(self, text):
        pass


PreprocessorConfig = namedtuple(typename='PreprocessorConfig', field_names=[
            "contraction_expansion_dict",
            "d_to_a_dict",
            "emoticons_dict",
            "final_corrections_dict",
            "puncts",
            "emojis_regex"
        ])


from EnglishPreprocessor import EnglishPreprocessor
from SpanishPreprocessor import SpanishPreprocessor
from TrivialPreprocessor import TrivialPreprocessor
from NontrivialPreprocessor import NontrivialPreprocessor
from BasicPreprocessor import BasicPreprocessor
