from . import EnglishPreprocessor, SpanishPreprocessor, TrivialPreprocessor

def test_trivial_preprocessor():
	tp = TrivialPreprocessor()
	text = "hello world"
	assert tp.preprocess(text) == text

def test_english_preprocessor():
	ep = EnglishPreprocessor()
	assert ep.preprocess("hello world") == "hello world"
	assert ep.preprocess("doesn't") == "does not"
	assert ep.preprocess("1234") == "one two three four"
	assert ep.preprocess("I ain't got no time for 1 of these homeworks :p !!") == "i ai not got no time for one of these homeworks :p !!!"

def test_spanish_preprocessor():
	sp = SpanishPreprocessor()
	assert sp.preprocess("hola mundo") == "hola mundo"
	assert sp.preprocess("1234") == "uno dos tres cuatro"
	assert sp.preprocess("No se lo que tiene !!") == "no se lo que tiene !!!"