import cPickle

from . import Vectorizer

class BOWVectorizer(Vectorizer):
    def __init__(self, model=None):
        self.model = model
        
    def load(self, filename):
        with open(filename, "rb") as f:
            self.model = cPickle.load(f)
        return self

    def save(self, filename):
        with open(filename, "wb") as f:
            cPickle.dump(self.model, f, protocol=cPickle.HIGHEST_PROTOCOL)

    def train(self, texts):
        self.model.fit(texts)
        return self

    def vectorize(self, text):
        if isinstance(text, basestring):
            return self.model.transform([text])
        elif isinstance(text, list):
            return self.model.transform(text)
        
